<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик создания директории.
 * 
 * Файл: /admin/wysiwyg/fm/action/create_dir.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
if (trim(to_str($_REQUEST['dir']) == ''))
{
	show_message($GLOBALS['MSG_wysiwyg_fm']['fm_message_name_dir']);
}
else
{
	$Files = new File();
	
	// Убираем символы выхода на уровень выше
	$dir = $Files->PathCorrection(to_str($_REQUEST['dir'])); 
		
	$newdir = $path . $dir . DIRECTORY_SEPARATOR;

	// Преобразуем восьмеричное число в десятичное
	$dir_mode = octdec($_REQUEST['dir_mode']); 

	if (!(file_exists($newdir) && is_dir($newdir)))
	{		
		if (@mkdir($newdir, $dir_mode))
		{
			@chmod($newdir, $dir_mode);
			show_message($GLOBALS['MSG_wysiwyg_fm']['fm_mkdir_success']);
		}
		else 
		{
			show_error_message($GLOBALS['MSG_wysiwyg_fm']['fm_mkdir_error']);
		}
	}
	else
	{
		show_error_message($GLOBALS['MSG_wysiwyg_fm']['fm_error_isset_dir']);
	}
}
